
public class TableUtilities {
    public static String getSmallMultiplicationTable() {
        StringBuilder sb = new StringBuilder();
        
        int i;
        int z;
        for (i=1; i<=5; ++i ){
            for (z=1; z<=5; ++z){
                sb.append(String.format("%3s |",(i*z)));

            } 
            sb.append("\n");
            
        }
        return sb.toString();
    }

    public static String getLargeMultiplicationTable() {
        StringBuilder sb = new StringBuilder();
        
        int i;
        int z;
        for (i=1; i<=10; ++i ){
            for (z=1; z<=10; ++z){
                sb.append(String.format("%3s |",(i*z)));

            } 
            sb.append("\n");
            
        }
        return sb.toString();
    }

    public static String getMultiplicationTable(int tableSize) {
        StringBuilder sb = new StringBuilder();
        int width=tableSize;
        int i;
        int z;
        for (i=1; i<=width; ++i ){
            for (z=1; z<=width; ++z){
                sb.append(String.format("%3s |",(i*z)));

            } 
            sb.append("\n");
            
        }
        return sb.toString();
    }
}
